/* eslint-disable prettier/prettier */
import { BeforeRequestType, ContentConfig } from "/@/components/PageContent";
import apis from "./apis";
import { isBeyondTime } from "/@/views/reportCollection/_utils";
import { addition } from "/@/utils/calc";

const columns = [
  {
    prop: "addtime",
    label: "议价时间",
    minWidth: "115px"
  },
  {
    prop: "bargainNo",
    label: "议价编号",
    minWidth: "155px"
  },
  {
    prop: "infoNo",
    label: "竞价单编号",
    minWidth: "155px"
  },
  {
    prop: "status",
    label: "议价单状态",
    minWidth: "155px"
  },
  {
    prop: "bidsNo",
    label: "采返商品编号",
    minWidth: "115px"
  },
  {
    prop: "companyName",
    label: "客户名称",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "商品名称",
    minWidth: "155px"
  },
  {
    prop: "creater",
    label: "申请人",
    minWidth: "155px"
  },
  {
    prop: "creater_company",
    label: "申请人所属部门",
    minWidth: "155px"
  },
  {
    prop: "sale_price",
    label: "议价前售价",
    minWidth: "155px"
  },
  {
    prop: "after_price",
    label: "期望售价",
    minWidth: "155px"
  },
  {
    prop: "result_desc",
    label: "议价原因",
    minWidth: "115px"
  },
  {
    prop: "bargain_remark",
    label: "议价备注",
    minWidth: "115px"
  }
];

const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 0,
  superUserNoAction: false,
  beforeRequestList(params) {
    const { start, end } = params;
    const beyondTime = isBeyondTime({ name: "下单时间", len: 30, start, end });
    if (beyondTime) return BeforeRequestType.EMPTY
    return BeforeRequestType.NEXT;
  },
  apis: { httpList: apis.list }
};

export default contentConfig;
